Agents
List and retrieve AI agents configured for your organisation.
Agents are the AI assistants configured in your EK Hub dashboard. Each agent has its own knowledge base, system prompt, and configuration.
Only agents with state PUBLISHED are visible through the API.
List Agents
Returns all published AI agents belonging to your organisation.
Response
Response Fields
| Field | Type | Description |
|---|---|---|
id | string (UUID) | Unique agent identifier |
name | string | Agent display name |
description | string | Agent description |
state | string | Always "PUBLISHED" for API results |
versionNumber | integer | Current published version number |
lastUsedAt | string | null | ISO 8601 timestamp of last use |
createdAt | string | ISO 8601 creation timestamp |
Code Examples
Get Agent Details
Returns details of a specific published AI agent, including its connected knowledge hubs.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
agentId | string (UUID) | Yes | The agent ID |